TF_SS< STANDARD, H, KEYS, ALG_INFO > Class Template Reference

Trapdoor Function Based Signature Scheme. More...

`#include <pubkey.h>`

Inheritance diagram for TF_SS< STANDARD, H, KEYS, ALG_INFO >:

## Public Types

typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions < ALG_INFO, KEYS, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate < TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate < TF_VerifierImpl < SchemeOptions > > | Verifier
| implements PK_Verifier interface

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD, class H, class KEYS, class ALG_INFO>
class TF_SS< STANDARD, H, KEYS, ALG_INFO >

Trapdoor Function Based Signature Scheme.

Definition at line 1625 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h